#include <bits/stdc++.h>

#define ll long long

using namespace std;

int main() {

    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    int n, m;
    cin >> n >> m;

    ll a[n];
    for(int i = 0; i < n; i++)
        cin >> a[i];
    
    ll ans = 0;
    for(int i = 0; i < m; i++) {
        int x, y;
        cin >> x >> y;
        x--; y--;

        ans += abs(a[x] + a[y]);
    }
    cout << ans << endl;
    return 0;
}